# Uses of Enum
com.databricks.jdbc.common.AuthFlow

Packages that use AuthFlow
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.model.telemetry

## Uses of AuthFlow in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return AuthFlow
Modifier and Type
Method
Description
`AuthFlow`
DatabricksConnectionContext.`getAuthFlow()`

## Uses of AuthFlow in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return AuthFlow
Modifier and Type
Method
Description
`AuthFlow`
IDatabricksConnectionContext.`getAuthFlow()`

## Uses of AuthFlow in com.databricks.jdbc.common

Subclasses with type arguments of type AuthFlow in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`AuthFlow`
Methods in com.databricks.jdbc.common that return AuthFlow
Modifier and Type
Method
Description
`static AuthFlow`
AuthFlow.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthFlow[]`
AuthFlow.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of AuthFlow in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry with parameters of type AuthFlow
Modifier and Type
Method
Description
`DriverConnectionParameters`
DriverConnectionParameters.`setDriverAuthFlow(AuthFlow driverAuthFlow)`